Pivotal Spring Framework 安全漏洞

CVE编号

CVE-2018-15801

利用情况

暂无

补丁情况

N/A

披露时间

2018-12-20
漏洞描述
springsecurity 5.1.2之前的5.1.x版本在JWT颁发者验证期间包含一个授权绕过漏洞。为了受到影响,在签署jwt时,必须使用诚实颁发者和恶意用户的相同私钥。在这种情况下,恶意用户可以用恶意发布者的URL来伪造签名的jwt,该URL可能被授予诚实的发布者。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 pivotal_software spring_framework * From
(including)
5.1.0
Up to
(excluding)
5.1.2
CVSS3评分
7.4
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-345 对数据真实性的验证不充分
阿里云安全产品覆盖情况